TAAS - Feature #259
Ledger Comparison Report

07/09/2023 04:21 PM - Anil

KV

Status: Testing Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Ledger Comparison Report

Description

Module Widget Data Source Pending...

History

#1 - 08/20/2023 04:01 PM -

- File Ledger Comparison Report GUI_CHANGE .jpeg added

- Status changed from New

Anil KV

to Open

- Assignee changed from travvise Admin to Baseem Shan

- % Done changed from 0 to 10

GUI Change

-Check the attachment image

#2 - 08/20/2023 04:06 PM -
SQL

Anil KV

SELECT fk_main_ledger_id,

fk_ledger_id,

TO_CHAR (dat_transaction, 'Month') AS str_month,
TO_CHAR (dat_transaction, 'YYYY') AS str_year,

SUM (dbl_ledg_cur_debit)
SUM (dbl_ledg_cur_credit) AS dbl_credit

FROM transaction.

tbl_transaction

WHERE sin_posting_status = 1

AND sin_transaction_status = 1
AND sin_document_status = 1
AND vhr_ledg_currency = 'QAR'

GROUP BY fk_main_ledger_id, fk_ledger_id, str_month,

* Basel Currency case
SUM (dbl_base_cur_debit) AS dbl_debit,

SUM (dbl_base_cur_credit) AS dbl_credit

-No filter Currency wise

#3 - 09/11/2023 10:06 AM -

Baseem Shan

- Status changed from Open to Coding Started

- % Done changed from 10 to 40

#4 - 09/19/2023 07:17 PM -

- Description updated

Baseem Shan

- Status changed from Coding Started to Coding Done

- % Done changed from 40 to 60

05/04/2025

AS dbl_debit,

str_year;
#5 - 09/20/2023 11:44 AM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

#6 - 12/08/2023 12:41 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#7 - 12/14/2023 01:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.SHOWING CREDIT AMOUNT AS DEBIT
FIXED - 2.SHOWING INCORRECT MONTHLY QUARTER AMOUNT

FIXED - 3.CLEAR ACCOUNT FILTER DATA WHILE SELECTING DROP DOWN

FIXED - 4.SHOWING FALSE AMOUNT WHILE SEARCH WITH BASE 1 CURRENCY

5.DONT FREEZE SEARCH BUTTON (Already Freezing Drop Downs After Getting Data So Dont Need To Disable The Button)

#8 - 01/01/2024 12:04 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 01/01/2024 05:41 PM - unnikannan S
TESTING DONE

#10 - 10/03/2024 04:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

Files

Ledger Comparison Report_ GUI_CHANGE .jpeg 119 KB
